std::cauchy_distribution< _RealType >(3cxx)

NAME
std::cauchy_distribution< _RealType > - A cauchy_distribution random number distribution.

SYNOPSIS

#include <random>

  Classes

struct param_type

  Public Types

typedef _RealType result_type

  Public Member Functions

cauchy_distribution (_RealType __a, _RealType __b=1.0)
cauchy_distribution (const param_type &__p)
template<typename _ForwardIterator , typename _UniformRandomNumberGenerator > void __generate (_ForwardIterator __f, _ForwardIterator __t, _UniformRandomNumberGenerator &__urng)
template<typename _ForwardIterator , typename _UniformRandomNumberGenerator > void __generate (_ForwardIterator __f, _ForwardIterator __t, _UniformRandomNumberGenerator &__urng, const param_type &__p)
template<typename _UniformRandomNumberGenerator > void __generate (result_type *__f, result_type *__t, _UniformRandomNumberGenerator &__urng, const param_type &__p)
_RealType a () const
_RealType b () const
result_type max () const
Returns the least upper bound value of the distribution.
result_type min () const
Returns the greatest lower bound value of the distribution.
template<typename _UniformRandomNumberGenerator > result_type operator() (_UniformRandomNumberGenerator &__urng)
Generating functions.
template<typename _UniformRandomNumberGenerator > result_type operator() (_UniformRandomNumberGenerator &__urng, const param_type &__p)
param_type param () const
Returns the parameter set of the distribution.
void param (const param_type &__param)
Sets the parameter set of the distribution.
void reset ()
Resets the distribution state.

  Friends

bool operator== (const cauchy_distribution &__d1, const cauchy_distribution &__d2)
Return true if two Cauchy distributions have the same parameters.

Detailed Description

  template<typename _RealType = double>
class std::cauchy_distribution< _RealType >"A cauchy_distribution random number distribution.

The formula for the normal probability mass function is $p(x|a,b) = (i b (1 + (ac{x-a}{b})^2))^{-1}$

Member Typedef Documentation

  template<typename _RealType = double> typedef _RealType std::cauchy_distribution< _RealType >::result_type
The type of the range of the distribution.

Member Function Documentation

  template<typename _RealType = double> result_type std::cauchy_distribution< _RealType >::max () const [inline]

Returns the least upper bound value of the distribution.

References std::numeric_limits< _Tp >::max().

  template<typename _RealType = double> result_type std::cauchy_distribution< _RealType >::min () const [inline]

Returns the greatest lower bound value of the distribution.

References std::numeric_limits< _Tp >::lowest().

  template<typename _RealType = double> template<typename _UniformRandomNumberGenerator > result_type std::cauchy_distribution< _RealType >::operator() (_UniformRandomNumberGenerator & __urng) [inline]

Generating functions.

References std::cauchy_distribution< _RealType >::operator()().

Referenced by std::cauchy_distribution< _RealType >::operator()().

  template<typename _RealType = double> param_type std::cauchy_distribution< _RealType >::param () const [inline]

Returns the parameter set of the distribution.

  template<typename _RealType = double> void std::cauchy_distribution< _RealType >::param (const param_type & __param) [inline]

Sets the parameter set of the distribution.

Parameters
    __param The new parameter set of the distribution.

  template<typename _RealType = double> void std::cauchy_distribution< _RealType >::reset () [inline]

Resets the distribution state.

Friends And Related Symbol Documentation

  template<typename _RealType = double> bool operator== (const cauchy_distribution< _RealType > & __d1, const cauchy_distribution< _RealType > & __d2) [friend]

Return true if two Cauchy distributions have the same parameters.

Author

Generated automatically by Doxygen for libstdc++ from the source code.